Atenção! Servidores com Windows XP ou Server 2003 podem ter problemas para emitir NFe 4.0

7
Tempo de leitura: 2 minutos

A NFe 4.0 trouxe várias mudanças, não só em novos campos, mas também nos padrões técnicos relativos ao envio das notas. Uma dessas alterações é a forma de comunicação com a Sefaz. Agora, a secretaria só aceita pacotes enviados através do protocolo TLS 1.2 ou versão superior.

Saiba mais:

O problema é que algumas versões do sistema operacional Windows, por serem muito antigas e não possuírem mais suporte, não tinham esse protocolo como padrão. Este é o caso do Windows XP e do Windows Server 2003.

Fonte: Microsoft

Nós da Oobj realizamos um teste de emissão em um ambiente Windows Server 2003 e conseguimos emitir uma NFe 4.0 sem problemas.

Como resolver?

Para habilitar o protocolo TLS 1.2 em máquinas com esse sistema operacional, os administradores têm que fazer a alteração direto no registro do Windows.


Todo o passo-a-passo de como realizar essa atualização pode ser encontrado nesse artigo da Microsoft: Como desabilitar o PCT 1.0, o SSL 2.0, o SSL 3.0 ou o TLS 1.0 nos Serviços de Informações da Internet ou no artigo original (em inglês).

Fonte: Blog MSDN

7 Comentários

  1. Fizeram os testes no XP ou apenas no 2003?

    • Oi Luiz Humberto, fizemos o teste apenas no Windows Server 2003.

  2. No IE desabilitou TLS 1.0? Fez mais alguma outra configuração para emitir NFe 4.0 no Server 2003?

    • Luiz, não realizamos nenhuma alteração no ambiente. Simplesmente instalamos nossa aplicação e foi possível emitir da NFe 4.0. Porém não investigamos se o ambiente já tinha sido habilitado para utilizar TLS 1.2.

      Você está tendo problemas para emitir NFe/NFCe em uma dessas versões?

  3. No caso se meu server não tem suporte ao tls 1.2 é só desabilitar o 1.0? Pois nesse passo a passo me diz como desabilitar, preciso fazer em um server 2008 standart sp2, consegue me ajudar?

    • Alexandro, a princípio não precisaria alterar nada pois o Server 2008 suporta o protocolo (desde que esteja atualizado).
      Se você é cliente Oobj, abra um chamado que nossos técnicos poderão te ajudar:
      https://www.oobj.com.br/suporte

  4. Meu sistema operacional foi atualizado com todas as disponíveis, pelo menos o que o update pegou e não liberou TLS 1.2, meu SO é o Server 2008 Standard SP2 versão 6.0, acredito que esta versão não seja compatível.

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *